
#language: ru

@carc

Функционал: 015. CARC. Создание заданий на доставку

Сценарий: 015.1. CARC. Создание задания на доставку

	Дано Я подключаюсь под "Создание заданий на доставку"
	Дано я удаляю объекты "Документы.к2ЗаданиеНаДоставку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И в поле 'Распоряжения на дату' я ввожу текст '25.08.20'
	И в таблице "ЗаданияНаДоставкуПланируемые" я нажимаю на кнопку с именем 'ЗаданияНаДоставкуПланируемыеСоздатьЗаданияНаДоставку'
	Тогда открылось окно 'Форма выбора транспорта'
	И в таблице "ТранспортныеСредства" я перехожу к строке:
		| 'Наименование'  |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку '>'
	И я нажимаю на кнопку 'Сформировать задания'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Адрес'                                                           | 'Вес, кг' | 'Получатель'         |
		| 'Нижегородская область, город Балахна, улица Центральная, дом 11' | '10'      | 'Ашан(продажа тары)' |
	И я нажимаю на кнопку с именем 'ПеренестиСтрокиВРейс'
	И я перехожу к закладке "Задания на доставку"
	И в таблице "ЗаданияНаДоставкуВРаботе" я перехожу к строке:
		| 'Водитель'             | 'Статус'      | 'Транспорт'     | 'Вес, кг' | 'Склад'                |
		| 'Водитель Петров Петр' | 'Формируется' | 'А524НВ Газель' | '10'      | 'Склад с ячейкой тары' |
	И в таблице "ЗаданияНаДоставкуВРаботе" я активизирую поле с именем "ЗаданияНаДоставкуВРаботеСтатус"
	И я нажимаю на кнопку с именем 'УстановитьСтатусКПогрузке'
	И Я закрываю окно 'Формирование заданий на доставку на *'

Сценарий: 015.2. CARC. Завершение

	И я закрываю сеанс TESTCLIENT